> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/compliance/opt-the-workspace-in-to-the-address-registry",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Opt the workspace in to the address registry

> Opts the workspace in. No request body. Response uses the same JSON shape as GET; status is OPTED_IN.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /address_registry/tenant
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /address_registry/tenant:
    post:
      tags:
        - Compliance
      summary: Opt the workspace in to the address registry
      description: >-
        Opts the workspace in. No request body. Response uses the same JSON
        shape as GET; status is OPTED_IN.
      operationId: optInAddressRegistryTenant
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      responses:
        '200':
          description: Success; response body includes status OPTED_IN
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressRegistryTenantRegistryResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<AddressRegistryTenantRegistryResponse>> =
            fireblocks.compliance.optInAddressRegistryTenant(complianceApiOptInAddressRegistryTenantRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<AddressRegistryTenantRegistryResponse>>
            response =
            fireblocks.compliance().optInAddressRegistryTenant(idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.compliance.opt_in_address_registry_tenant(idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    AddressRegistryTenantRegistryResponse:
      type: object
      description: >-
        Workspace participation in the address registry. Same shape for GET,
        POST (opt in), and DELETE (opt out).
      properties:
        status:
          type: string
          description: OPTED_IN or OPTED_OUT.
          enum:
            - OPTED_IN
            - OPTED_OUT
          example: OPTED_IN
      required:
        - status
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````